# Air Traffic Control

## Game Description

I want to create an air traffic control game. A player must successfully land airplanes in their corresponding airports without crashing or missing the plane.

### Core Mechanics

- Players will control plane movements with the arrow keys.
- Players will select which plane they are controlling using the number keys.
- Planes will be assigned a random color corresponding to the airport they must land in.
- When a plane successfully lands in the correct airport, the player gains a point.
- When planes run into each other, the wrong airport, or the edge of the screen, the game ends.

## Challenges

- How numbers should be re-used after a plane associated with that number has already landed.
- How to increase the difficulty of the game as it progresses.
- How to make sure there is always a plane on the screen.
- How to manage the different ways that the game can end.